Changeset 14222


Ignore:
Timestamp:
2009-01-27T18:24:31+01:00 (9 years ago)
Author:
nico
Message:

fix kmod-sit dependencies

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/package/kernel/modules/netsupport.mk

    r14219 r14222  
    277277 
    278278 
     279# sit is not selectable on 2.4, but built when ipv6 is enabled 
    279280define KernelPackage/sit 
    280281  SUBMENU:=$(NETWORK_SUPPORT_MENU) 
    281   DEPENDS:=+kmod-iptunnel4 
     282  DEPENDS:=+kmod-ipv6 +LINUX_2_6:kmod-iptunnel4 
    282283  TITLE:=IPv6-in-IPv4 tunnelling 
    283 endef 
    284  
    285 # sit is compiled in the 2.4 ipv6 stack 
    286 define KernelPackage/sit/2.4 
    287   DEPENDS:= @LINUX_2_4 +kmod-ipv6 
    288   KCONFIG:=CONFIG_IPV6 
    289 endef 
    290  
    291 define KernelPackage/sit/2.6 
    292   DEPENDS:= @LINUX_2_6 +kmod-ipv6 +kmod-iptunnel4 
    293   KCONFIG+=CONFIG_IPV6_SIT 
     284  KCONFIG:=CONFIG_IPV6 CONFIG_IPV6_SIT 
    294285  FILES:=$(LINUX_DIR)/net/ipv6/sit.$(LINUX_KMOD_SUFFIX) 
    295286  AUTOLOAD:=$(call AutoLoad,32,sit) 
Note: See TracChangeset for help on using the changeset viewer.